Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 29 Aug 2015, 21:33
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Canon Printer Drivers - Updated 2014
Post new topic   Reply to topic View previous topic :: View next topic
Page 14 of 14 [205 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14
Author Message
rcrsn51


Joined: 05 Sep 2006
Posts: 10177
Location: Stratford, Ontario

PostPosted: Sat 23 Aug 2014, 06:20    Post subject: Re: candi damages 2fs?
Subject description: drops out of x
 

Dromeno wrote:
They all installed in lucid puppy 528 but after tat puppy would not boot anymore (dropped out of X after reboot)


???????

I just tested this myself with a clean frugal install of Lupu 528 using the four MG4200 Debian files. It worked exactly as expected.

I cannot see any way that it would break X unless your savefile got filled up or had some corruption.

In any case, I have attached v1.0.24 of the SANE Canon pixma driver below.

[Edit] No reply. After several downloads and no feedback, I have removed the attachment.
Back to top
View user's profile Send private message 
reedman

Joined: 10 Nov 2005
Posts: 14

PostPosted: Sat 02 May 2015, 10:48    Post subject: Canon Printer Drivers
Subject description: Model MG2520
 

Several years ago, I waded into the friendly waters of this forum, with many questions. I had then (and have now) a (heretofore) trusty Dell Dimension 4500S, vintage 2002. It multi-boots Windows XP SP3, and three versions of puppy linux, with the most recent being the 5.25 Lupo iteration. Subsequent to a forced shutdown, a Windows file became corrupted, and would no longer boot. But of course, puppy does, flawlessly. I will not be restoring the Windows installation. It can sit there, while puppy continues to do all the hard labor, which he manages continually to look easy.

This circumstance led me to investigate puppy tahr 6.0.2, and what a revelation, as for my money, the distribution that can make any Microsoft acolyte wonder why they bother. Puppy is a grownup now, aging with grace, still as speedy and useful as ever.

Forum member rcrsn51 is an emblematic example of the kind of helpful, courteous, patient participant for which this forum is known, and upon whom I rely. I am not a linux geek, but with assistance like his, I don't need to be. Admission: I tried some other live distros as well: Mint, elementaryOS, Zorin, and one or two others. Eyecandy is good, but it doesn't get the work done, and nothing compares with the speed, organization, and stability of puppy. Long story short, I could not manage to get my Canon MG2520 scanner to work, except in puppy, thanks to rcrsn51, and his sweet little pet, candi.

So thank you. I am going to be walking this dog for a long time to come.
Back to top
View user's profile Send private message 
marcos90

Joined: 07 Sep 2011
Posts: 104

PostPosted: Thu 02 Jul 2015, 18:08    Post subject:  

I would like to thanks rcrsn51 for the excellent tutorial, well explained to the beginners like me.
Thanks to this tutorial I could install my multifunctional Canon MG 2410 on Puppy 6.0.2 Tahr system.
Both Printer and Scanner are working perfectly Very Happy
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 10177
Location: Stratford, Ontario

PostPosted: Thu 02 Jul 2015, 21:16    Post subject:  

Excellent. Candi v1.4 contains an additional script called candi-pet-maker. It creates a ready-to-use PET installer from the Canon DEB driver packages. So if you ever have to re-install the driver, you won't need the original DEBs.

1. Create a temporary folder with a descriptive name, like canon_ip2700-3.30. It MUST have a version number on the end.
2. Copy the two Canon .deb files into the folder.
3. Go into the folder, open a terminal window and run: candi-pet-maker
4. The PET will be saved in the parent folder.

This tool needs testing and feedback.
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 4043
Location: Everybody knows this is nowhere...

PostPosted: Thu 02 Jul 2015, 23:38    Post subject:  

OMG you're back!

Thought you'd left us forever.

LOL.

You'll be glad to know I got my printer issue sorted so I won't be bugging you about that again for a while.

_________________

Back to top
View user's profile Send private message 
steve_s


Joined: 26 May 2008
Posts: 1576
Location: Austin, TX, USA

PostPosted: Sun 26 Jul 2015, 15:40    Post subject:  

All hail rcrsn51!

Got the Canon Pixma MG2520 working on this flash drive driven Compaq Presario fully from this thread! Great thanks! Cool
Back to top
View user's profile Send private message Visit poster's website 
rcrsn51


Joined: 05 Sep 2006
Posts: 10177
Location: Stratford, Ontario

PostPosted: Sun 26 Jul 2015, 18:04    Post subject:  

Excellent. Candi v1.4 has a new tool called candi-pet-maker. It creates a ready-to-use PET installer from the Canon Debian driver packages.

1. Create a temporary folder with a descriptive name, like canon_ip2700-3.30. It MUST have a version number on the end.
2. Copy the two Canon .deb files into the folder.
3. Go into the folder, open a terminal window and run: candi-pet-maker
4. The PET will be saved in the parent folder.
5. Copy it to a safe location for the next time you need to install the printer.

Update: Candi-pet-maker can make combo print/scan PETs. Just copy all four DEBs into your source folder.

Last edited by rcrsn51 on Tue 25 Aug 2015, 11:04; edited 1 time in total
Back to top
View user's profile Send private message 
perdido

Joined: 09 Dec 2013
Posts: 114
Location: Altair IV

PostPosted: Mon 27 Jul 2015, 02:05    Post subject:  

rcrsn51 wrote:
Excellent. Candi v1.4 has a new tool called candi-petmaker. It creates a ready-to-use PET installer from the Canon Debian driver packages.

1. Create a temporary folder with a descriptive name, like canon_ip2700-3.30. It MUST have a version number on the end.
2. Copy the two Canon .deb files into the folder.
3. Go into the folder, open a terminal window and run: candi-pet-maker
4. The PET will be saved in the parent folder.
5. Copy it to a safe location for the next time you need to install the printer.


candi-pet-maker worked fine in Precise 5.7.1

I see a possible alternate use for candi-pet-maker. It can make a .pet file from any number of .deb packages, not just the canon drivers packages. (think program + dependencies)

Muchas Gracias!

.




.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 10177
Location: Stratford, Ontario

PostPosted: Mon 27 Jul 2015, 07:28    Post subject:  

perdido wrote:
candi-pet-maker worked fine in Precise 5.7.1

Thanks for testing this. What model of Canon printer do you have?

Quote:
I see a possible alternate use for candi-pet-maker. It can make a .pet file from any number of .deb packages, not just the canon drivers packages. (think program + dependencies)

Most of the code in candi-pet-maker is specific to Canon printer/scanners. To make a general-purpose DEB-to-PET tool, just take lines 1-7 and 38-43. There may already be a similar tool somewhere on the forum.

But be aware than many DEBs have post-install scripts with extra commands that may not work in Puppy.
Back to top
View user's profile Send private message 
perdido

Joined: 09 Dec 2013
Posts: 114
Location: Altair IV

PostPosted: Tue 18 Aug 2015, 14:21    Post subject:  

rcrsn51 wrote:

Thanks for testing this. What model of Canon printer do you have?
Most of the code in candi-pet-maker is specific to Canon printer/scanners. To make a general-purpose DEB-to-PET tool, just take lines 1-7 and 38-43. There may already be a similar tool somewhere on the forum.

But be aware than many DEBs have post-install scripts with extra commands that may not work in Puppy.


Hello rcrsn51, I apologise for the late reply, did not see this. I do not have the canon printer to install this, I tested the script and it ran with no errors so the script appears to work fine but I do not report a working canon printer.

Thanks for the additional info about the tool, maybe play with it some more making pets Smile
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 14 of 14 [205 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0560s ][ Queries: 13 (0.0169s) ][ GZIP on ]